//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wIntegPane:
//   The Integrate form

#ifndef p4wIntegPane_H
#define p4wIntegPane_H

#include "p4wRunPane.h"

class StrDict;

class p4wIntegPane : public p4wRunPane {

public:
	p4wIntegPane( p4wView & ParentView, p4wRequest & Request, 
		int isFileBrowser, int useBranch );
	virtual		~p4wIntegPane();

	//
	// Render functions.
	
	virtual void	Begin();
	virtual	void	Render( StrDict * varList );
	virtual void	RenderError( char *error, int escapeHTML );
	virtual	void	End();

	//
	// Overrides for spec edit panes.
	
	virtual void	GetAction( StrBuf & actionURL );
	virtual	int	IgnoreField( const char * field ) { return 0; };
	virtual	int	CustomField( const char * field,
		StrDict * varList, int len, SpecElem *se ) { return 0; };

private:
	enum IntegType { fromFile, fromPath, fromBranch } fIntegType;
	
	int fIsFileBrowser;
};

#endif // p4wIntegPane_H
